#ifndef CUSTOM_CFG_H__
#define CUSTOM_CFG_H__







#ifndef CTRL_BIT_BOOTLOADER_START
#define CTRL_BIT_BOOTLOADER_START      (1<7)
#endif




#ifndef ADVERTISING_LED_PIN_NO
#define ADVERTISING_LED_PIN_NO          LED_0                                                /**< Is on when device is advertising. */
#endif

#ifndef CONNECTED_LED_PIN_NO
#define CONNECTED_LED_PIN_NO            LED_1                                                /**< Is on when device has connected. */
#endif
                                                           
#ifndef ASSERT_LED_PIN_NO
#define ASSERT_LED_PIN_NO               LED_7                                                /**< Is on when application has asserted. */
#endif




#ifndef LED_RED
#define LED_RED    ASSERT_LED_PIN_NO
#endif
#ifndef LED_GREEN
#define LED_GREEN    CONNECTED_LED_PIN_NO
#endif
#ifndef LED_BLUE
#define LED_BLUE    ADVERTISING_LED_PIN_NO
#endif


#ifdef DRIVE_LED_LOW 


#define switch_leds(leds_on, led_pin_no)          \
  do {                                            \
		if (leds_on) {                            \
				nrf_gpio_pin_clear(led_pin_no);   \
		} else {                                  \
				nrf_gpio_pin_set(led_pin_no);     \
		}                                         \
  }  while (0) 
#else 

#define switch_leds(leds_on, led_pin_no)          \
  do {                                            \
		if (leds_on) {                            \
				nrf_gpio_pin_set(led_pin_no);     \
		} else {                                  \
				nrf_gpio_pin_clear(led_pin_no);   \
		}                                         \
  }  while (0) 

#endif




#define switch_leds_on( led_pin_no)  	switch_leds(true, led_pin_no)

#define switch_leds_off( led_pin_no)  	switch_leds(false, led_pin_no) 





#endif // CUSTOM_CFG_H__
